/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<MapThemeModel.h>)
#  include <MapThemeModel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_marble_imageprovider()
{
    qmlRegisterModule("org.kde.marble.imageprovider", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<MapThemeModel>("org.kde.marble.imageprovider", 254);
    qmlRegisterEnum<MapThemeModel::MapThemeFilter>("MapThemeModel::MapThemeFilter");
    qmlRegisterEnum<MapThemeModel::MapThemeFilters>("MapThemeModel::MapThemeFilters");
    qmlRegisterEnum<MapThemeModel::MapThemeFilter>("MapThemeModel::MapThemeFilter");
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    QT_WARNING_POP
    qmlRegisterModule("org.kde.marble.imageprovider", 254, 254);
}

static const QQmlModuleRegistration orgkdemarbleimageproviderRegistration("org.kde.marble.imageprovider", qml_register_types_org_kde_marble_imageprovider);
